procedure TMainForm.UpdateMode(Sender: TObject);
begin
  if SMCBR.Checked OR SMABR.Checked then begin
    SCBRBox.Visible:=true;
    SVBRBox.Visible:=false;
  end else begin
    SVBRBox.Visible:=true;
    SCBRBox.Visible:=false;
  end;
end;

procedure TMainForm.UpdateQuality(Sender: TObject);
begin
  LQuality.Caption:=IntToStr(SQuality.Position);
end;

procedure TMainForm.UpdateVBRQuality(Sender: TObject);
begin
  LVBRQual.Caption:=IntToStr(SVBRQual.Position);
end;

procedure TMainForm.UpdateRate(Sender: TObject);
begin
  if SRateAuto.Checked then LRate.Caption:=#151;
  if SRateA1.Checked then LRate.Caption:='32000 Hz';
  if SRateA2.Checked then LRate.Caption:='16000 Hz';
  if SRateA4.Checked then LRate.Caption:='8000 Hz';
  if SRateB1.Checked then LRate.Caption:='44100 Hz';
  if SRateB2.Checked then LRate.Caption:='22050 Hz';
  if SRateB4.Checked then LRate.Caption:='11025 Hz';
  if SRateC1.Checked then LRate.Caption:='48000 Hz';
  if SRateC2.Checked then LRate.Caption:='24000 Hz';
  if SRateC4.Checked then LRate.Caption:='12000 Hz';
end;

procedure TMainForm.UpdateFilters(Sender: TObject);
begin
  if SFLPen.Checked then begin
    SFLPfreq.Enabled:=true;
    SFLPWen.Enabled:=true;
  end else begin
    SFLPfreq.Enabled:=false;
    SFLPWen.Enabled:=false;
    SFLPWen.Checked:=false;
  end;
  SFLPWfreq.Enabled:=SFLPWen.Checked;
  if SFHPen.Checked then begin
    SFHPfreq.Enabled:=true;
    SFHPWen.Enabled:=true;
  end else begin
    SFHPfreq.Enabled:=false;
    SFHPWen.Enabled:=false;
    SFHPWen.Checked:=false;
  end;
  SFHPWfreq.Enabled:=SFHPWen.Checked;
end;

procedure TMainForm.UpdateID3(Sender: TObject);
begin
  SImmed.Enabled:=SID3.Checked;
end;

procedure TMainForm.UpdateAll;
begin
  UpdateMode(nil);
  UpdateQuality(nil);
  UpdateVBRQuality(nil);
  UpdateRate(nil);
  UpdateFilters(nil);
  UpdateID3(nil);
end;
